using System;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;

public class Convertir {
	public static void Main() {
		string[] fila = new string [61];
		int i = 0;

		StreamReader file = File.OpenText("test.txt");
		StreamWriter fileOut = new StreamWriter(new FileStream("final.txt", FileMode.OpenOrCreate, FileAccess.Write));
		
		string line = file.ReadLine();

		while (line != null) {
			fila[i] = line;
			i++;
			fileOut.Write(line);
			fileOut.WriteLine();
			line = file.ReadLine();
		}

		for(int j = 60; j >= 0; j--) {
			fileOut.Write(fila[j]);
			fileOut.WriteLine();
		}

		file.Close();
		fileOut.Close();
	}
}
